<p-panel>
    <p-header>Detail VSO</p-header>

    <div class="ui-g" >
        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.noVSO">No VSO</label>
            </div>
            <div class="ui-g-8">
                <div *ngIf="vehicleSalesOrder.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                    </div>
                    <ng-template #templateOrderNumber>
                            <input pInputText type="text" 
                            style="width: 100%"                 
                            [(ngModel)]="vehicleSalesOrder.orderNumber"
                            [disabled]="true"
                        />
                    </ng-template>
                    <ng-template #templateRequirementNumber>
                            <input pInputText type="text" 
                            style="width: 100%"                 
                            [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.requirementNumber"
                            [disabled]="true"
                        />
                    </ng-template>
                <!-- <input pInputText type="text" 
                    style="width: 100%"                 
                    [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.requirementNumber"
                    [disabled]='true'
                /> -->
            </div>
        </div>

        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.tglVso">Tanggal VSO</label>
            </div>
            <div class="ui-g-8">
                {{vehicleSalesOrder.dateOrder | date:'dd-MMM-yyyy'}}
            </div>
        </div>

    </div>

    <hr>
    <div class="ui-g" >
        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.admSales">Admin Sales</label>
            </div>
            <div class="ui-g-8">                    
                <div >                                                    
                    {{getDescription(vehicleSalesOrder.adminSalesVerifyValue)}} - {{vehicleSalesOrder.adminSalesVeriDate | date}}
                </div>                    
            </div>
        </div>               
        <div class="ui-g-12  ">                
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.catatan">Catatan</label>
            </div>
            <div class="ui-g-8">
                <textarea 
                    [disabled]='true'                    
                    [rows]="5" [cols]="50" 
                    [(ngModel)]="vehicleSalesOrder.adminSalesNotApprvNote"
                    autoResize="true" 
                    style="width: 100%">
                </textarea>                  
            </div>
        </div>
    </div>
    <hr>
    <div class="ui-g" >
        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.afc">AFC</label>
            </div>                
            <div class="ui-g-8">     
                {{getDescription(vehicleSalesOrder.afcVerifyValue)}} - {{vehicleSalesOrder.afcVeriDate | date}}
            </div>
        </div>
        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.catatan">Catatan</label>
            </div>
            <div class="ui-g-8">
                <textarea                     
                    [rows]="5" [cols]="50" 
                    autoResize="true" 
                    style="width: 100%"
                    [(ngModel)]="vehicleSalesOrder.afcNotApprvNote"
                    [disabled]='true'>
                </textarea>                    
            </div>
        </div>
    </div>
    <hr>
    <div class="ui-g" >
        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.kacab">Kacab</label>
            </div>
            <div class="ui-g-2">
                <p-radioButton name="groupKacab" value="Y" label="{{'mpmApp.vehicleSalesOrder.approve' | translate}}" [(ngModel)]="isApprove" inputId="preopt1">
            </div>
            <div class="ui-g-2">
                <p-radioButton name="groupKacab" value="T" label= "{{'mpmApp.vehicleSalesOrder.notApp' | translate}}"  [(ngModel)]="isApprove" inputId="preopt1">
            </div>                
        </div>
        <div class="ui-g-12  ">
            <div class="ui-g-2">
                <label jhiTranslate="mpmApp.vehicleSalesOrder.catatan">Catatan</label>
            </div>
            <div class="ui-g-8">
                <textarea 
                    pInputTextarea 
                    [rows]="5" [cols]="50" 
                    autoResize="true" 
                    [(ngModel)]="vehicleSalesOrder.kacabnote"
                    style="width: 100%"
                    maxlength="300">
                </textarea>                    
            </div>
        </div>
    </div>

    <div class="ui-g" >
        <div class="ui-g-12  ">
            <!-- <div class="ui-g-10"> -->
            <div *ngIf="vehicleSalesOrder.currentStatus==10 || vehicleSalesOrder.currentStatus==11">
                <button pButton type="button"                     
                    label="{{'mpmApp.vehicleSalesOrder.process' | translate}}"
                    class="ui-button-Primary flat-label-button btn-block"
                    (click)="approveKacab()"
                ></button>
            </div>         
        </div>
    </div>

    <p-footer>
        <button pButton type="button" (click)="previousState()"
            label="{{'entity.action.back' | translate}}"
            class="ui-button-danger flat-label-button"
            style="width: 30%">
        </button>
    </p-footer>
</p-panel>

<p-accordion>
    <p-accordionTab header="Data Customer">
        <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
            <!-- {{vehicleSalesOrder.salesUnitRequirement | json}} -->
            <!-- <jhi-sales-unit-requirement-customer-view
                [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
            ></jhi-sales-unit-requirement-customer-view> -->
            <jhi-vso-customer-view
                [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                [vso]="vehicleSalesOrder"
                [readOnly]="true"
            ></jhi-vso-customer-view>
        </div>  
    </p-accordionTab>

    <p-accordionTab header="Data STNK">
        <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
            <!-- {{vehicleSalesOrder.salesUnitRequirement | json}} -->
            <!-- <jhi-sales-unit-requirement-stnk-view
                [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
            ></jhi-sales-unit-requirement-stnk-view> -->
            <jhi-vso-stnk-view
                [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement">
            </jhi-vso-stnk-view>
        </div>  
    </p-accordionTab>

    <p-accordionTab header="Data Kendaraan">
        <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
            <!-- {{vehicleSalesOrder.salesUnitRequirement | json}} -->
            <jhi-vso-edit-dataa-kendaraan 
                [data]="vehicleSalesOrder.salesUnitRequirement"
                [statusVso]="vehicleSalesOrder.currentStatus"
                [vso]="vehicleSalesOrder"
            ></jhi-vso-edit-dataa-kendaraan>
        </div>  
    </p-accordionTab>

    <p-accordionTab header="File Dokumen">
        <div *ngIf="vehicleSalesOrder.customer">
            <jhi-party-document-as-list 
                [idparty] = "vehicleSalesOrder.customer.partyId"
                [readonly]="false">
            </jhi-party-document-as-list>
        </div>
    </p-accordionTab>

    <p-accordionTab header="Note">
        <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
            <jhi-vso-edit-data-note [data]="vehicleSalesOrder.salesUnitRequirement" ></jhi-vso-edit-data-note>
        </div>
    </p-accordionTab>

    <p-accordionTab header="History Finance Company">
         
    </p-accordionTab>
</p-accordion>